dpp::error_detail
restresults.h
std::string std::string dpp::error_detail::code code dpp::error_detail::code

Error code.

std::string std::string dpp::error_detail::field field dpp::error_detail::field

Field name which is in error.

std::string std::string dpp::error_detail::object object dpp::error_detail::object

Object name which is in error.

std::string std::string dpp::error_detail::reason reason dpp::error_detail::reason

Error reason (full message).

dpp::error_detail::DPP_DEPRECATED
("index is unused and will be removed in a future version") int index=0
DPP_DEPRECATED
dpp::error_detail::DPP_DEPRECATED
"index is unused and will be removed in a future version"

Object field index.

The details of a field in an error response.

dpp::error_detail
code
field
object
reason
std::basic_string< Char >
std::string
- dpp::error_detail
  code
- dpp::error_detail
  DPP_DEPRECATED
- dpp::error_detail
  field
- dpp::error_detail
  object
- dpp::error_detail
  reason